---
title: Document.createTouchList()
slug: Web/API/Document/createTouchList
tags:
  - API
  - Deprecated
  - Document
  - HTML DOM
  - Method
  - Mobile
  - createTouchList
  - touch
---
<div>{{APIRef("DOM")}}{{Deprecated_Header}}</div>

<div class="notecard note">
<p><strong>Note:</strong> Before {{Gecko("25.0")}}, this method was defined on the {{DOMxRef("DocumentTouch")}} mixin.</p>
</div>

<p>The <strong><code>Document.createTouchList()</code></strong> method <span class="seosummary">creates and returns a new {{DOMxRef("TouchList")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>list</var> = DocumentTouch.createTouchList([<var>touch1 [, touch2 [, ...]]]</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>touches</var></code></dt>
 <dd>Zero or more {{DOMxRef("Touch")}} objects. <strong>Note:</strong> Firefox also accepts an <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array">array</a> of {{DOMxRef("Touch")}} objects.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code><var>list</var></code></dt>
 <dd>A {{DOMxRef("TouchList")}} object containing the {{DOMxRef("Touch")}} objects specified by the <code>touches</code> parameter.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates using the {{DOMxRef("Document.createTouchList()")}} method to create {{DOMxRef("TouchList")}} objects.</p>

<p>In following code snippet, some {{DOMxRef("Touch")}} objects are created for the <code>target</code> element and those touch points are then used to create some {{DOMxRef("TouchList")}} objects.</p>

<pre class="brush: js">var target = document.getElementById("target");

// Create some touch points
var touch1 = document.createTouch(window, target, 1, 15, 20, 35, 40);
var touch2 = document.createTouch(window, target, 2, 25, 30, 45, 50);

// Create an empty TouchList objects
var list0 = document.createTouchList();

// Create a TouchList with only one Touch object
var list1 = document.createTouchList(touch1);

// Create a list with two Touch objects
var list2 = document.createTouchList(touch1, touch2);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Touch Events", "#widl-Document-createTouchList-TouchList-Touch-touches", "Document.createTouchList()")}}</td>
   <td>{{Spec2("Touch Events")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.createTouchList")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Touch_events">Touch events</a></li>
 <li>{{DOMxRef("Touch")}}</li>
 <li>{{DOMxRef("TouchEvent")}}</li>
 <li>{{DOMxRef("TouchList")}}</li>
 <li>{{DOMxRef("Document.createTouch()")}}</li>
</ul>
